CREATE TABLE gtg_aac_appl_b (
    ID                       NUMBER(18, 0) ,
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    BIND_KEY                 VARCHAR2(4000)    NOT NULL,
    ORIG_ID                  VARCHAR2(1600),
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    MISC_DATA1               VARCHAR2(4000),
    MISC_DATA2               VARCHAR2(4000),
    MISC_DATA3               VARCHAR2(4000),
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ID                       NUMBER(18, 0) ,
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    BIND_KEY                 VARCHAR2(4000)    NOT NULL,
    MISC_DATA1               VARCHAR2(4000),
    MISC_DATA2               VARCHAR2(4000),
    MISC_DATA3               VARCHAR2(4000),
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORIG_ID                  VARCHAR2(1600),
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    CONSTRAINT pk_gtg_aac_appl_b PRIMARY KEY (ID, ID)
);
